# Uses of Interface
org.springframework.beans.factory.config.YamlProcessor.DocumentMatcher

Packages that use YamlProcessor.DocumentMatcher
Package
Description
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.

## Uses of YamlProcessor.DocumentMatcher in org.springframework.beans.factory.config

Methods in org.springframework.beans.factory.config with parameters of type YamlProcessor.DocumentMatcher
Modifier and Type
Method
Description
`void`
YamlProcessor.`setDocumentMatchers(YamlProcessor.DocumentMatcher... matchers)`
A map of document matchers allowing callers to selectively use only some of the documents in a YAML resource.